OpenSSH v4.5p1 compatibility with OpenSSL 0.9.8d



Hi,

While compiling OpenSSH 4.5.p1, I got following error:

"/home/support/openssh-4.5p1/ssh-add.c:344: undefined reference to
`OpenSSL_add_all_algorithms'
collect2: ld returned 1 exit status
make: *** [ssh-add] Error 1"

When I compiled with OpenSSL version 0.9.6b, it worked fine, but when I
upgraded to OpenSSL version 0.9.8d, it did not compile and throws above
mentioned error.

How can I make it to compile with OpenSSL version 0.9.8d (latest one)

Thanks,
Vishrank



eInfochips Business Disclaimer:
This message may contain confidential, proprietary or legally Privileged information. In case you are not the original intended Recipient of the message, you must not, directly or indirectly, use, Disclose, distribute, print, or copy any part of this message and you are requested to delete it and inform the sender. Any views expressed in this message are those of the individual sender unless otherwise stated. Nothing contained in this message shall be construed as an offer or acceptance of any offer by eInfochips Limited and/or eInfochips Inc("eInfochips") unless sent with that express intent and with due authority of eInfochips. eInfochips has taken enough precautions to prevent the spread of viruses. However the company accepts no liability for any damage caused by any virus transmitted by this email.



Relevant Pages

  • Re: Ruby One-click Installer and ruby 18.4.
    ... >> Austin Ziegler wrote: ... > with the base compile, and now I'm working on making sure that certain ... I also worked with the OpenSSL CVS ... I'm not saying everyone should go to the ...
    (comp.lang.ruby)
  • Re: Ruby One-click Installer and ruby 18.4.
    ... with the base compile, and now I'm working on making sure that certain ... 2005 has changed its compile mechanism (and making changes to the way ... I also worked with the OpenSSL CVS ... I'm not saying everyone should go to the ...
    (comp.lang.ruby)
  • Re: Ruby on HP-UX
    ... openssl was a pain to compile but luckily the instructions at the HP ... relevant Makefiles seemed to do the trick. ...
    (comp.lang.ruby)
  • Re: OpenSSH v4.5p1 compatibility with OpenSSL 0.9.8d
    ... ld returned 1 exit status ... When I compiled with OpenSSL version 0.9.6b, it worked fine, but when I ... How can I make it to compile with OpenSSL version 0.9.8d ... Good judgement comes with experience. ...
    (SSH)
  • Re: python compilation questions
    ... the error message seem to relate to openssl: ... ld: fatal: relocations remain against allocatable but non-writable sections ... >collect2: ld returned 1 exit status ...
    (comp.lang.python)